Loading...
Searching...
No Matches
ESPS_FIXED_HDR Struct Reference

## Public Attributes

short | thirteen
short | sdr_size
int | magic
char | date [26]
char | version [8]
char | prog [16]
char | vers [8]
char | progcompdate [26]
int | num_samples
int | filler
int | num_doubles
int | num_floats
int | num_ints
int | num_shorts
int | num_chars
int | fsize
int | hsize
char | username [8]
int | fil1 [5]
short | fea_type
short | fil2
short | num_fields
short | fil3
int | fil4 [9]
int | fil5 [8]

## Detailed Description

Definition at line 53 of file esps_utils.h.

## Member Data Documentation

## thirteen

short ESPS_FIXED_HDR::thirteen

Definition at line 54 of file esps_utils.h.

## sdr_size

short ESPS_FIXED_HDR::sdr_size

Definition at line 55 of file esps_utils.h.

## magic

int ESPS_FIXED_HDR::magic

Definition at line 56 of file esps_utils.h.

## date

char ESPS_FIXED_HDR::date[26]

Definition at line 57 of file esps_utils.h.

## version

char ESPS_FIXED_HDR::version[8]

Definition at line 58 of file esps_utils.h.

## prog

char ESPS_FIXED_HDR::prog[16]

Definition at line 59 of file esps_utils.h.

## vers

char ESPS_FIXED_HDR::vers[8]

Definition at line 60 of file esps_utils.h.

## progcompdate

char ESPS_FIXED_HDR::progcompdate[26]

Definition at line 61 of file esps_utils.h.

## num_samples

int ESPS_FIXED_HDR::num_samples

Definition at line 62 of file esps_utils.h.

## filler

int ESPS_FIXED_HDR::filler

Definition at line 63 of file esps_utils.h.

## num_doubles

int ESPS_FIXED_HDR::num_doubles

Definition at line 64 of file esps_utils.h.

## num_floats

int ESPS_FIXED_HDR::num_floats

Definition at line 65 of file esps_utils.h.

## num_ints

int ESPS_FIXED_HDR::num_ints

Definition at line 66 of file esps_utils.h.

## num_shorts

int ESPS_FIXED_HDR::num_shorts

Definition at line 67 of file esps_utils.h.

## num_chars

int ESPS_FIXED_HDR::num_chars

Definition at line 68 of file esps_utils.h.

## fsize

int ESPS_FIXED_HDR::fsize

Definition at line 69 of file esps_utils.h.

## hsize

int ESPS_FIXED_HDR::hsize

Definition at line 70 of file esps_utils.h.

## username

char ESPS_FIXED_HDR::username[8]

Definition at line 71 of file esps_utils.h.

## fil1

int ESPS_FIXED_HDR::fil1[5]

Definition at line 72 of file esps_utils.h.

## fea_type

short ESPS_FIXED_HDR::fea_type

Definition at line 73 of file esps_utils.h.

## fil2

short ESPS_FIXED_HDR::fil2

Definition at line 74 of file esps_utils.h.

## num_fields

short ESPS_FIXED_HDR::num_fields

Definition at line 75 of file esps_utils.h.

## fil3

short ESPS_FIXED_HDR::fil3

Definition at line 76 of file esps_utils.h.

## fil4

int ESPS_FIXED_HDR::fil4[9]

Definition at line 77 of file esps_utils.h.

## fil5

int ESPS_FIXED_HDR::fil5[8]

Definition at line 78 of file esps_utils.h.

The documentation for this struct was generated from the following file:

- speech_class/esps_utils.h